> For the complete documentation index, see [llms.txt](https://docs.dfinery.ai/api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dfinery.ai/api-guide/api/import-api/response.md).

# 상세 응답

DFINERY Import API는 HTTP 응답 코드와 상세 응답 코드를 통해 요청의 성공과 실패를 판단합니다. **HTTP 응답 코드가 200 이더라도, 요청은 실패할 수 있습니다.**

## HTTP 응답 코드

| 응답 코드                     | 설명                                                                                          |
| ------------------------- | ------------------------------------------------------------------------------------------- |
| `200 - OK`                | 서버에서 정상적으로 요청을 받았습니다.                                                                       |
| `400 - Bad Request`       | <p>요청을 처리할 수 없습니다.<br>필수 파라미터를 보내지 않았거나, 파라미터 포맷이 잘못되었을 때 돌아오는 응답입니다. 요청 파라미터를 확인해 주세요.</p> |
| `429 - Too Many Requests` | <p>비정상적으로 많은 요청을 보냈습니다.<br>잠시 후 다시 시도해 주세요.</p>                                             |
| `500 - Server Error`      | 서버 내부에서 에러가 발생했습니다                                                                          |

## 상세 응답 코드

API 호출이 실패한 경우, 상세 응답 코드를 통해 오류에 대해 상세한 정보를 얻을 수 있습니다.

<table><thead><tr><th width="140">응답 코드</th><th width="128">code</th><th width="247">message</th><th>설명</th></tr></thead><tbody><tr><td>200</td><td>20000</td><td><code>OK</code></td><td>요청 성공</td></tr><tr><td>200</td><td>40000</td><td><code>BAD_REQUEST</code></td><td>잘못된 요청</td></tr><tr><td>200</td><td>40001</td><td><code>VALIDATION_FAILURE</code></td><td>검증 실패</td></tr><tr><td>200</td><td>40101</td><td><code>INVALID_SERVICE_ID</code></td><td>잘못된 서비스 ID</td></tr><tr><td>200</td><td>40201</td><td><code>INVALID_TOKEN</code></td><td>잘못된 토큰 제공</td></tr><tr><td>200</td><td>40401</td><td><code>TOO_MANY_REQUEST</code></td><td>API 사용 한도 초과</td></tr><tr><td>200</td><td>40402</td><td><code>TOO_MANY_EVENTS</code></td><td>요청 내 이벤트 수 초과</td></tr><tr><td>200</td><td>40403</td><td><code>TOO_MANY_USER_PROFILES</code></td><td>단일 요청 내 유저 프로필 수 초과</td></tr><tr><td>200</td><td>50000</td><td><code>INTERNAL_SERVER_ERROR</code></td><td>서버 내부 에러 발생</td></tr></tbody></table>

## 응답 예시

### 20000 OK

<pre class="language-json"><code class="lang-json">200 OK
<strong>{
</strong>  "status": true,
  "code": 20000,
  "message": "OK",
  "data": null 
}
</code></pre>

### 40001 VALIDATION\_FAILURE

<pre class="language-json"><code class="lang-json">200 OK
<strong>{
</strong>  "status": false,
  "code": 40001,
  "message": "VALIDATION_FAILURE",
  "data": null 
}
</code></pre>

### 50000 INTERNAL\_SERVER\_ERROR

```json
200 OK
{
  "status": false,
  "code": 50000,
  "message": "INTERNAL_SERVER_ERROR",
  "data": null 
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dfinery.ai/api-guide/api/import-api/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
